package org.holer.common.constant;

import io.netty.channel.Channel;
import io.netty.util.AttributeKey;


public class HolerConst {
    public static final byte HEADER_SIZE = 4;
    public static final int TYPE_SIZE = 1;
    public static final int SERIAL_NUM_SIZE = 8;
    public static final int URI_LEN_SIZE = 1;
    public static final int MAX_FRAME_LEN = 2097152;
    public static final int FIELD_OFFSET = 0;
    public static final int FIELD_LEN = 4;
    public static final int INIT_BYTES_TO_STRIP = 0;
    public static final int ADJUSTMENT = 0;
    public static final int READ_IDLE_TIME = 60;
    public static final int WRITE_IDLE_TIME = 40;
    public static final int HOLER_SERVER_PORT_DEFAULT = 6060;
    public static final long HALF_SECOND = 500L;
    public static final long ONE_SECOND = 1000L;
    public static final long THREE_SECONDS = 3000L;
    public static final long THIRTY_SECONDS = 30000L;
    public static final long ONE_MINUTE = 60000L;
    public static final long ONE_HOUR = 3600000L;
    public static final long TWELVE_HOURS = 43200000L;
    public static final long ONE_DAY = 86400000L;
    public static final long THREE_DAYS = 259200000L;
    public static final long TWO_MINUTES = 120000L;
    public static final long THREE_MINUTES = 180000L;
    public static final long FIVE_MINUTES = 300000L;
    public static final long SEVEN_MINUTES = 420000L;
    public static final long TEN_MINUTES = 600000L;
    public static final long TWENTY_MINUTES = 1200000L;
    public static final String TLS = "TLS";
    public static final String JKS = "JKS";
    public static final String EMPTY = "";
    public static final String HOLER_CONF = "holer.conf";
    public static final String HOLER_SERVER_HOST = "HOLER_SERVER_HOST";
    public static final String HOLER_SERVER_PORT = "HOLER_SERVER_PORT";
    public static final String HOLER_SSL_ENABLE = "HOLER_SSL_ENABLE";
    public static final String HOLER_SSL_JKS = "HOLER_SSL_JKS";
    public static final String HOLER_SSL_PASSWD = "HOLER_SSL_PASSWORD";
    public static final String HOLER_SSL_PASSWD_DEFAULT = "Wisdom-Holer";
    public static final String HOLER_CONF_DIR = "org/holer/conf/";
    public static final String HOLER_SSL_JKS_DEFAULT = "org/holer/conf/holer.jks";
    public static final AttributeKey<Channel> HOLER_CHANNEL = AttributeKey.newInstance("HOLER_CHANNEL");

    public static final AttributeKey<String> HOLER_URI = AttributeKey.newInstance("HOLER_URI");

    public static final AttributeKey<String> HOLER_KEY = AttributeKey.newInstance("HOLER_KEY");
}
